# Magisk mount
SKIPMOUNT=false

# load post-fs-data script
POSTFSDATA=true

# load late_start service script
LATESTARTSERVICE=true

# Installation Preview 1
print_modname() {
MODNAME=`grep_prop name $TMPDIR/module.prop`
MODVER=`grep_prop version $TMPDIR/module.prop`
DV=`grep_prop author $TMPDIR/module.prop`
Device=`getprop ro.product.device`
Model=`getprop ro.product.model`
Brand=`getprop ro.product.brand` 
Architecture=`getprop ro.product.cpu.abi`
SDK=`getprop ro.system.build.version.sdk`
Android=`getprop ro.system.build.version.release`
Type=`getprop ro.system.build.type`
Built=`getprop ro.system.build.date`
Time=$(date "+%d, %b - %H:%M %Z")

  sleep 0.1
  echo "-------------------------------------"
  echo "Fetching module info..."
  echo "-------------------------------------"
  sleep 1.5
  echo -e "- Author：\c"
  echo "$DV"
  sleep 0.5
  echo -e "- Module：\c"
  echo "$MODNAME"
  sleep 0.5
  echo -e "- Version：\c"
  echo "$MODVER"
  sleep 0.5
  echo -e "- Provider：\c"
if [ "$BOOTMODE" ] && [ "$KSU" ]; then
  ui_print "KernelSU app"
  sed -i "s/^des.*/description= [🦄 KernelSU is loaded] Enable ${MODNAME} /g" $MODPATH/module.prop
  ui_print "- KernelSU：$KSU_KERNEL_VER_CODE (kernel) + $KSU_VER_CODE (ksud)"
  if [ "$(which magisk)" ]; then
    ui_print "==================================================="
    ui_print "! Multiple root implementation is NOT supported!"
    abort    "==================================================="
fi
elif [ "$BOOTMODE" ] && [ "$MAGISK_VER_CODE" ]; then
  ui_print "Magisk app"
  sed -i "s/^des.*/description= [🪷 Magisk is loaded] Enable ${MODNAME} /g" $MODPATH/module.prop
else
  ui_print "==================================================="
  ui_print "Installation from recovery is not supported"
  ui_print "Please install from KernelSU or Magisk app"
  abort    "==================================================="
fi
  sleep 1
  echo "-------------------------------------"
  echo "Fetching device info..."
  echo "-------------------------------------"
  sleep 1.5
  echo "- Brand：$Brand"
  sleep 0.5
  echo "- Device：$Device"
  sleep 0.5
  echo "- Model：$Model"
  sleep 0.5
  echo "- RAM：$(free | grep Mem | awk '{print $2}')"
  sleep 0.5
  echo "-------------------------------------"
  echo "Fetching ROM info..."
  echo "-------------------------------------"
  sleep 1.5
  echo "- Android：$Android"
  sleep 0.5
  echo -e "- Kernel：\c"
  echo "$(uname -r)"
  sleep 0.5
  echo "- CPU：$Architecture"
  sleep 0.5
  echo "- SDK：$SDK"
  sleep 0.5
  echo "- Build Date：$Built"
  sleep 0.5
  echo "- Build Type：$Type"
  sleep 1
  echo "-------------------------------------"
  echo "- Preparing $MODNAME!"
  echo "-------------------------------------"
  sleep 1.5
ui_print "- Flashing started at $Time !!"
sleep 1
}

# Check if Wellbeing app is already installed
if [ -f /data/data/com.google.android.apps.wellbeing ]; then
 echo "Error: Digital Wellbeing app is already installed. Aborting installation."
 exit 1
fi

# Copy/extract your module files into $MODPATH in on_install.

on_install() {
  # The following is the default implementation: extract $ZIPFILE/system to $MODPATH
  # Extend/change the logic to whatever you want
  ui_print "- Processing module files"
  unzip -o "$ZIPFILE" 'system/*' -d $MODPATH >&2
}

# This function will be called after on_install is done

set_permissions() {
  # The following is the default rule, DO NOT remove
  set_perm_recursive $MODPATH 0 0 0755 0644
#
#  ui_print " "
#  ui_print "       mona is meowing"
#  ui_print " "
#  ui_print " 　　　　　／＞　　フ "
#  ui_print " 　　　　　| 　_　 _)  "
#  ui_print " 　 　　　／. ミ＿xノ meow >⁠.⁠< "
#  ui_print " 　　 　 /　　　 　 | "
#  ui_print " 　　　 /　 ヽ　　 ﾉ "
#  ui_print " 　 　 │　　| | | "
#  ui_print " "
  ui_print "  "
  ui_print "- USAGE: "
  sleep 1.5
  ui_print " > Flash the module & perform reboot "
  sleep 1
  ui_print " > Search digital wellbeing on Playstore & update it "
  sleep 1
  ui_print " > Create digital wellbeing widget on your launcher "
  sleep 1
  ui_print " > Open your Root management app "
  sleep 1
  ui_print " > Disable Sandboxed Digital Wellbeing module "
  sleep 1
  ui_print " > Reboot your device "
  sleep 4
  nohup am start -a android.intent.action.VIEW -d https://t.me/MeowRedirect/3 >/dev/null 2>&1 &
}

# End of file